dcl_settings : default_dcl_settings { audit_level = 3; }
profil : dialog {
   label = "Stahlbau-Profile" ;
   : row {
      children_fixed_height = true ;
      children_fixed_width = true ;
      : boxed_row {
         alignment = top ;
         children_alignment = top ;
         label = "Profil" ;
         fixed_width = true ;
         fixed_height = true ;
         width = 25 ;
         height = 10 ;
         : image {
            key = "slide" ;
            width = 28 ;
            height = 10 ;
            color = black ;
         }
      }
      :boxed_row { 
         alignment = top ;
         children_alignment = top ;
         fixed_width = true ;
         fixed_height = true ;
         width = 42 ;
         height = 9 ;
         label = "Profile" ;
         : list_box {
            key = "profile" ;
//            width = 43 ;
//            height = 9 ;
         }
      }
   }
   : row {
      children_fixed_width = true ;
      children_fixed_width = true ;
      : column {
         children_alignment = left ;
         fixed_width = true ;
         width = 32 ;
         : text {
            label = "Einheiten" ;
         }
         : popup_list {
            key = "einheit" ;
         }
      } 
      : column {
         children_alignment = left ;
         width = 44 ;
         : text {
            label = "ProfilTyp" ;
         }
         : popup_list {
            key = "typ" ;
         }
      }
   }
   :row {
      children_fixed_width = true ;
      children_fixed_width = true ;
      : boxed_row {
         label = "Optionen" ;
         width = 29 ;
         : column {
            : toggle {
               key = "spkt" ;
               label = "Schwerpunkt" ;
               mnemonic = "S" ;
            }
            : toggle {
               key = "mpkt" ;
               label = "Schubmit.pkt" ;
               mnemonic = "m" ;
            }
            : toggle {
               key = "achsen" ;
               label = "Achsen" ;
               mnemonic = "A" ;
            }

         }
         : column {   
            : toggle {
               key = "block" ;
               label = "Block" ;
               mnemonic = "B" ;
            }
            : toggle {
               key = "schraff" ;
               label = "Schraffur" ;
               mnemonic = "r" ;
            }
         }
      } //bc
      : column {
         : boxed_radio_row {
   //         children_alignment = centered ;
            width = 42 ;
            label = "Entity" ;
            key = "entity" ;
            : radio_button {
               key = "poly" ;
               label = "Polylinie" ;
            }
            : radio_button {
               key = "line" ;
               label = "Linien" ;
            }
            : radio_button {
               key = "solid" ;
               label = "Festkoerper" ;
            }
         }

         : boxed_radio_row {
   //         children_alignment = centered ;
            width = 42 ;
            label = "Darstellung" ;
            key = "darst" ;
            : radio_button {
               key = "exakt" ;
               label = "Exakt" ;
            }
            : radio_button {
               key = "einfach" ;
               label = "Vereinfacht" ;
            }
            : radio_button {
               key = "grob" ;
               label = "Grob" ;
            }
         }

      }//column
   }
   :row {
//      children_fixed_height = true ;
      children_fixed_width = true ;
     : boxed_column {
         children_alignment = left ;
         width = 29 ;
         label = "Schraffur" ;
         : edit_box {
            key = "schraffstil" ;
            label = "Stil" ;
            mnemonic = "S" ;
         }
         : edit_box {
            key = "schraffmst" ;
            label = "Masstab " ;
            mnemonic = "M" ;
         }
     }
     : boxed_column {
         children_alignment = left ;
         width = 42 ;
         label = "Orientierung" ;
         : edit_box {
            key = "laenge" ;
            label = "Laenge" ;
            mnemonic = "L" ;
         }
         : edit_box {
            key = "winkel" ;
            label = "Winkel " ;
            mnemonic = "W" ;
         }
      }
//      : boxed_column {
//         children_alignment = left ;
//         label = "Layer" ;
//         width = 42 ;
//         :row { 
//            : button {
//               label = "Profil" ;
//               key = "laprofilb" ;
//               fixed_width = true ;
//               width = 10 ;
//            }
 //           : edit_box {
//               key = "laprofilt" ;
//               fixed_width = true ;
//               width = 29 ;
//            }
//         }
//         :row { 
//            : button {
//               label = "Achsen" ;
//               key = "laachsenb" ;
//               fixed_width = true ;
//               width = 10 ;
//            }
//            : edit_box {
//               key = "laachsent" ;
//               fixed_width = true ;
//               width = 29 ;
//            }
//         }  
//    }
   } //row
   ok_cancel_help_info ;
}
